Novell Home

CVE-2009-2411

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2009-2411 at MITRE

Description

Multiple integer overflows in the libsvn_delta library in Subversion before 1.5.7, and 1.6.x before 1.6.4, allow remote authenticated users and remote Subversion servers to execute arbitrary code via an svndiff stream with large windows that trigger a heap-based buffer overflow, a related issue to CVE-2009-2412.

NVD CVSS v2 Base Score: 8.5 (AV:N/AC:M/Au:S/C:C/I:C/A:C)

Novell/SUSE information

Novell Bugzilla entry: 528714, 802057

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise 11 GA DEBUGINFO
  • subversion-debuginfo >= 1.5.7-0.1.1
  • subversion-debugsource >= 1.5.7-0.1.1
sle11-sdk.s390x
sle11-debuginfo.ppc
sle11-sdk.ia64
sle11-sdk.x86
sle11-debuginfo.x86
sle11-sdk.ppc
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86-64
SAT Patch Nr: 1190
SUSE Linux Enterprise SDK 11 GA
  • subversion >= 1.5.7-0.1.1
  • subversion-devel >= 1.5.7-0.1.1
  • subversion-perl >= 1.5.7-0.1.1
  • subversion-python >= 1.5.7-0.1.1
  • subversion-server >= 1.5.7-0.1.1
  • subversion-tools >= 1.5.7-0.1.1
sle11-sdk.s390x
sle11-debuginfo.ppc
sle11-sdk.ia64
sle11-sdk.x86
sle11-debuginfo.x86
sle11-sdk.ppc
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sle11-sdk.x86-64
SAT Patch Nr: 1190
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for IPF
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • subversion >= 1.2.3-3.6
  • subversion-cvs2svn >= 1.2.3-3.6
  • subversion-devel >= 1.2.3-3.6
  • subversion-doc >= 1.2.3-3.6
  • subversion-server >= 1.2.3-3.6
  • subversion-viewcvs >= 1.2.3-3.6
core9.s390
core9.ppc
core9.x86
core9.ia64
core9.x86-64
core9.s390x
YOU Patch Nr: 12474
openSUSE 11.0
  • subversion-debuginfo >= 1.5.7-0.1
  • subversion-debugsource >= 1.5.7-0.1
openSUSE 11.0
  • subversion >= 1.5.7-0.1
  • subversion-devel >= 1.5.7-0.1
  • subversion-perl >= 1.5.7-0.1
  • subversion-python >= 1.5.7-0.1
  • subversion-server >= 1.5.7-0.1
  • subversion-tools >= 1.5.7-0.1
openSUSE 11.1
  • subversion-debuginfo >= 1.5.7-0.1.1
  • subversion-debugsource >= 1.5.7-0.1.1
openSUSE 11.1
  • subversion >= 1.5.7-0.1.1
  • subversion-devel >= 1.5.7-0.1.1
  • subversion-perl >= 1.5.7-0.1.1
  • subversion-python >= 1.5.7-0.1.1
  • subversion-server >= 1.5.7-0.1.1
  • subversion-tools >= 1.5.7-0.1.1
SUSE Linux Enterprise SDK 10 SP2
  • cvs2svn >= 1.3.0-30.14
  • subversion >= 1.3.1-1.13
  • subversion-devel >= 1.3.1-1.13
  • subversion-python >= 1.3.1-1.13
  • subversion-server >= 1.3.1-1.13
  • subversion-tools >= 1.3.1-1.13
  • viewcvs >= 1.0.5-0.5
sle10-sp2-sdk.x86
sled10-sp2.x86-64
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.ppc
sle10-sp2-sdk.s390x
sle10-sp2-sdk.ia64
sled10-sp2.x86
ZYPP Patch Nr: 6423

© 2014 Novell